# Dates planning in sales order lines

This module allows to plan in advance the start/end dates and assignees for the sales order lines that are services, and they are transferred to the created task (if any) when confirming the order.

It includes a timeline view for pre-viewing and managing the planning.

In addition, this planning is shown in the order portal view.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

1. Go to Sales > Orders > Quotations
2. Create a new record.
3. Add a line with a product of type “Service”.
4. A new smart-button “Planning” will appear.
5. On optional fields, you will find 3 fields for setting manually the planning data: “Task Start”, “Task End” and “Task Assignees”.
6. You can also click on the “Planning” button and plan the dates visually in the timeline view.

# Known issues / Roadmap

- Timeline visualization in portal.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:

  > - Pedro M. Baeza

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/timesheet project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.